VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX:
[legend]

## Public Member Functions

| ObjectTableIndexBufferEntryNVX (ObjectEntryTypeNVX type_=ObjectEntryTypeNVX::eDescriptorSet, ObjectEntryUsageFlagsNVX flags_=ObjectEntryUsageFlagsNVX(), Buffer buffer_=Buffer(), IndexType indexType_=IndexType::eUint16)
| ObjectTableIndexBufferEntryNVX (ObjectTableEntryNVX const &objectTableEntryNVX, Buffer buffer_=Buffer(), IndexType indexType_=IndexType::eUint16)
| ObjectTableIndexBufferEntryNVX (VkObjectTableIndexBufferEntryNVX const &rhs)
ObjectTableIndexBufferEntryNVX & | operator= (VkObjectTableIndexBufferEntryNVX const &rhs)
ObjectTableIndexBufferEntryNVX & | setType (ObjectEntryTypeNVX type_)
ObjectTableIndexBufferEntryNVX & | setFlags (ObjectEntryUsageFlagsNVX flags_)
ObjectTableIndexBufferEntryNVX & | setBuffer (Buffer buffer_)
ObjectTableIndexBufferEntryNVX & | setIndexType (IndexType indexType_)
| operator VkObjectTableIndexBufferEntryNVX const & () const
| operator VkObjectTableIndexBufferEntryNVX & ()
bool | operator== (ObjectTableIndexBufferEntryNVX const &rhs) const
bool | operator!= (ObjectTableIndexBufferEntryNVX const &rhs) const

## Data Fields

ObjectEntryTypeNVX | type
ObjectEntryUsageFlagsNVX | flags
Buffer | buffer
IndexType | indexType

## Detailed Description

Definition at line 31257 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ObjectTableIndexBufferEntryNVX() [1/3]

VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::ObjectTableIndexBufferEntryNVX | ( | ObjectEntryTypeNVX | type_ = `ObjectEntryTypeNVX::eDescriptorSet`,
|  | ObjectEntryUsageFlagsNVX | flags_ = `ObjectEntryUsageFlagsNVX()`,
|  | Buffer | buffer_ = `Buffer()`,
|  | IndexType | indexType_ = `IndexType::eUint16`
| ) |  |

inline

Definition at line 31259 of file vulkan.hpp.

: type( type_ )
, flags( flags_ )
, buffer( buffer_ )
, indexType( indexType_ )
{
}

## ObjectTableIndexBufferEntryNVX() [2/3]

VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::ObjectTableIndexBufferEntryNVX | ( | ObjectTableEntryNVX const & | objectTableEntryNVX,
|  | Buffer | buffer_ = `Buffer()`,
|  | IndexType | indexType_ = `IndexType::eUint16`
| ) |  |

inline explicit

Definition at line 31270 of file vulkan.hpp.

: type( objectTableEntryNVX.type )
, flags( objectTableEntryNVX.flags )
, buffer( buffer_ )
, indexType( indexType_ )
{}

## ObjectTableIndexBufferEntryNVX() [3/3]

VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::ObjectTableIndexBufferEntryNVX | ( | VkObjectTableIndexBufferEntryNVX const & | rhs | ) |

inline

Definition at line 31279 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ObjectTableIndexBufferEntryNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkObjectTableIndexBufferEntryNVX &()

VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::operator VkObjectTableIndexBufferEntryNVX & | ( |  | ) |

inline

Definition at line 31318 of file vulkan.hpp.

{
return *reinterpret_cast<VkObjectTableIndexBufferEntryNVX*>(this);
}

## operator VkObjectTableIndexBufferEntryNVX const &()

VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::operator VkObjectTableIndexBufferEntryNVX const & | ( |  | ) | const

inline

Definition at line 31313 of file vulkan.hpp.

{
return *reinterpret_cast<const VkObjectTableIndexBufferEntryNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::operator!= | ( | ObjectTableIndexBufferEntryNVX const & | rhs | ) | const

inline

Definition at line 31331 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ObjectTableIndexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::operator= | ( | VkObjectTableIndexBufferEntryNVX const & | rhs | ) |

inline

Definition at line 31284 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ObjectTableIndexBufferEntryNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::operator== | ( | ObjectTableIndexBufferEntryNVX const & | rhs | ) | const

inline

Definition at line 31323 of file vulkan.hpp.

{
return ( type == rhs.type )
&& ( flags == rhs.flags )
&& ( buffer == rhs.buffer )
&& ( indexType == rhs.indexType );
}

References buffer, flags, indexType, and type.

Referenced by operator!=().

## setBuffer()

ObjectTableIndexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 31301 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setFlags()

ObjectTableIndexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::setFlags | ( | ObjectEntryUsageFlagsNVX | flags_ | ) |

inline

Definition at line 31295 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setIndexType()

ObjectTableIndexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::setIndexType | ( | IndexType | indexType_ | ) |

inline

Definition at line 31307 of file vulkan.hpp.

{
indexType = indexType_;
return *this;
}

References indexType.

## setType()

ObjectTableIndexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::setType | ( | ObjectEntryTypeNVX | type_ | ) |

inline

Definition at line 31289 of file vulkan.hpp.

{
type = type_;
return *this;
}

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::buffer

Definition at line 31338 of file vulkan.hpp.

Referenced by operator==().

## flags

ObjectEntryUsageFlagsNVX VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::flags

Definition at line 31337 of file vulkan.hpp.

Referenced by operator==().

## indexType

IndexType VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::indexType

Definition at line 31339 of file vulkan.hpp.

Referenced by operator==(), and setIndexType().

## type

ObjectEntryTypeNVX VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::type

Definition at line 31336 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::flags
ObjectEntryUsageFlagsNVX flags
Definition: vulkan.hpp:31337
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::operator==
bool operator==(ObjectTableIndexBufferEntryNVX const &rhs) const
Definition: vulkan.hpp:31323
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::type
ObjectEntryTypeNVX type
Definition: vulkan.hpp:31336
VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::indexType
IndexType indexType
Definition: vulkan.hpp:31339
VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::buffer
Buffer buffer
Definition: vulkan.hpp:31338
VULKAN_HPP_NAMESPACE::ObjectTableIndexBufferEntryNVX::ObjectTableIndexBufferEntryNVX
ObjectTableIndexBufferEntryNVX(ObjectEntryTypeNVX type_=ObjectEntryTypeNVX::eDescriptorSet, ObjectEntryUsageFlagsNVX flags_=ObjectEntryUsageFlagsNVX(), Buffer buffer_=Buffer(), IndexType indexType_=IndexType::eUint16)
Definition: vulkan.hpp:31259
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571
VkObjectTableIndexBufferEntryNVX
Definition: vulkan_core.h:6907